Package: org.gradle.tooling.exceptions

## [Java] Class UnsupportedOperationConfigurationException

- org.gradle.tooling.exceptions.UnsupportedOperationConfigurationException

- Thrown when a LongRunningOperation has been configured with unsupported settings. For example LongRunningOperation.setJavaHome might not be supported by the target Gradle version.

  Since:
    1.0

- - ### Constructor Summary

    Constructors
    Constructor and description
    `UnsupportedOperationConfigurationException (String message)`
    `UnsupportedOperationConfigurationException (String message, Throwable cause)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class RuntimeException` | `printStackTrace, printStackTrace, printStackTrace, fillInStackTrace, getCause, initCause, toString, getMessage, getLocalizedMessage, getStackTrace, setStackTrace, addSuppressed, getSuppressed, wait, wait, wait, equals, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public UnsupportedOperationConfigurationException(String message)

    - #### public UnsupportedOperationConfigurationException(String message, Throwable cause)